{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Calendar

/api/calendar/{calendarId}/color

Exposes calendars visible to the current user and stages calendar changes until they are validated and committed.

GET /api/calendar/{calendarId}/color

Optional calendar color in CSS hexadecimal notation.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Response

Status Content Type Schema Description
200 application/json string Successful response.

Example Request

# Request
GET /api/calendar/<calendarId>/color HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

"string"

PUT /api/calendar/{calendarId}/color

Optional calendar color in CSS hexadecimal notation.

Parameters

Name Location Type Required Description
calendarId path string yes calendar identifier from the request path

Request Body

Content Type Schema Required Description
application/json string yes

Optional calendar color in CSS hexadecimal notation.

Response

Status Content Type Schema Description
200 application/json string Successful response.

Example Request

# Request
PUT /api/calendar/<calendarId>/color HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json

"string"

# Response
HTTP/1.1 200 OK
Content-Type: application/json

"string"

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net Clear Reports
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe